Skip to main content
GET
Retrieve an async task

Authorizations

Authorization
string
header
required

Path Parameters

task_id
string
required

Task friendly ID (e.g. task_AbCd1234567890Ef).

Response

200

id
string
type
string

The internal class name of the task. It identifies the kind of work and is stable, but it is not a value to build logic on.

state
enum<string>
Available options:
initialized,
running,
completed,
failed
progress
integer
Required range: 0 <= x <= 100
progress_description
string | null
started_at
string<date-time> | null
finished_at
string<date-time> | null
error_message
string | null

Set when state is failed.

result
object | null
args
object